package websocket4j.mbed_demo;

import org.glassfish.grizzly.websockets.DataFrame;
import org.glassfish.grizzly.websockets.DefaultWebSocket;
import org.glassfish.grizzly.websockets.ProtocolHandler;
import org.glassfish.grizzly.websockets.WebSocketListener;

public class PushSocket extends DefaultWebSocket implements Runnable
{
    private boolean running;
    private int count = 0;
    public PushSocket(ProtocolHandler protocolHandler, WebSocketListener... listeners)
    {
        super(protocolHandler, listeners);
    }

    @Override
    public void run()
    {
        while (isRunning() && isConnected())
        {
            this.send(Integer.toString(count++));
            try
            {
                Thread.currentThread().sleep(5000);
            }
            catch (Exception e)
            {
                e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
            }
        }
    }

    @Override
    public void onClose (DataFrame frame)
    {
        super.onClose(frame);
    }

    @Override
    public void onConnect()
    {
        super.onConnect();
        Thread thread = new Thread(this);
        running = true;
        thread.run();
    }

    @Override
    public void onMessage(String text)
    {
        System.out.println("onMessage " +text);
    }

    private boolean isRunning()
    {
        return running;
    }


}
